package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PlanStatusEnum {


    NEWORDER(0,"新单"),
    BOARDHASBEENAPPLIEDFOR(1,"板材已申请"),
    DURINGCUTTING(2,"开料中"),
    OPENEDMATERIAL(3,"已开料");

    private Integer status;
    private String scheduling;


    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(PlanStatusEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.status .equals(this.getStatus()) ;
    }

}
